package com.zg.project.Inventory.Visualization.mapper;

import java.util.List;
import com.zg.project.Inventory.Visualization.domain.Pln;

/**
 * 计划履约Mapper接口
 * 
 * @author zg
 * @date 2025-05-09
 */
public interface PlnMapper 
{
    /**
     * 查询计划履约
     * 
     * @param id 计划履约主键
     * @return 计划履约
     */
    public Pln selectPlnById(Long id);

    /**
     * 查询计划履约列表
     * 
     * @param pln 计划履约
     * @return 计划履约集合
     */
    public List<Pln> selectPlnList(Pln pln);

    /**
     * 新增计划履约
     * 
     * @param pln 计划履约
     * @return 结果
     */
    public int insertPln(Pln pln);

    /**
     * 修改计划履约
     * 
     * @param pln 计划履约
     * @return 结果
     */
    public int updatePln(Pln pln);

    /**
     * 删除计划履约
     * 
     * @param id 计划履约主键
     * @return 结果
     */
    public int deletePlnById(Long id);

    /**
     * 批量删除计划履约
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePlnByIds(Long[] ids);

    List<Pln> getAll();

}
